#!/bin/bash
echo "create_book.sh: execute a bash script that will create a book called " $1 
echo "create_book.sh: from a file called" $2

index=$(shuf -i 1-14 -n 1)
echo "create_book.sh: using cover image" $index

pandoc $2  -o /home/xpub/www/html/tl-dr/logged_book.epub  -c print.css --metadata title="$1" --metadata author="/var/shelf"  --epub-cover-image=assets/cover$index.jpg --epub-embed-font="fonts/Cascadia/ttf/CascadiaCode-Light.ttf" --epub-embed-font="fonts/Ductus/DuctusRegular.otf"

echo "create_book.sh: pandoc'd a new epub to /home/xpub/www/html/tl-dr/logged_book.epub"
cp /home/xpub/www/html/tl-dr/logged_book.epub /home/xpub/www/html/tl-dr/log-books/"$1".epub

echo "create_book.sh: and copied this over to /home/xpub/www/html/tl-dr/log-books/" $1

ls /home/xpub/www/html/tl-dr/log-books > /home/xpub/www/html/tl-dr/log-books/all.txt

echo "create_book.sh: updated /home/xpub/www/html/tl-dr/log-books/all.txt"
